package x64

import "git.akyoto.dev/cli/q/src/build/cpu"

const (
	rax = iota
	rcx
	rdx
	rbx
	rsp
	rbp
	rsi
	rdi
	r8
	r9
	r10
	r11
	r12
	r13
	r14
	r15
)

const SyscallReturn = rax

var GeneralRegisters = []cpu.Register{rbx, rbp, r12, r13, r14, r15}
var SyscallRegisters = []cpu.Register{rax, rdi, rsi, rdx, r10, r8, r9}
var ReturnValueRegisters = []cpu.Register{rax, rcx, r11}
